/* ==========================================================================
* 작 성 자 : 이순규
* 작 성 일 : 2007.02.12
* 내    용 : 미니맵 창
* 주의사항 : 
*===========================================================================*/
#pragma once
#include "SmallMiniMapWindow.h"

/// 미니맵 창
class cLabel;
class cPushButton;
class cMiniMapWindow : public cSmallMiniMapWindow
{
public:
	cMiniMapWindow();
	virtual ~cMiniMapWindow();

	void UIStageIn();

	/// 지역 이름 설정 
	void SetZoneName( LPCTSTR zone );
	void SetMapData();

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnProcess( unsigned long deltaTime, unsigned long accumTime );
	void OnRender( cUIFontItemKeeper* pKeeper );
	void OnPushButtonPressed(cUINode* , unsigned int id );
	void UpdateRect();
	void UpdateSkin();
	void OnHide();
	
	/// 미니맵을 로딩
	bool LoadMiniMap( const cString& pathName );

	/// 이름정보 위치 업데이트
	void UpdateNamePos();

private:
	/// 설명 이미지
	cLabel*			mpExplain;
	cPushButton*	mpPush;

	/// 맵정보 관련 출력
	cStringT mChannelStr;	
	cStringT mMapName;	
	cStringT mZoneName;
};

inline void cMiniMapWindow::SetZoneName( LPCTSTR zone )
{
	mZoneName = zone;
}